body {
	min-height: 100vh;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	background: var(--sidebar-color);
	padding: 30px;
}

.logo {
	top: 20px;
	margin: auto;
	color: var(--text-color);
	display: flex;
	align-items: center;
	flex-direction: column;
}

.container {
	position: relative;
	max-width: 850px;
	width: 100%;
	background: #fff;
	padding: 40px 30px;
	box-shadow: 0px 0px 4px 0px rgb(215 178 155 / 32%);
	perspective: 2700px;
	border-radius: 20px;
}
.container .cover {
	position: absolute;
	top: 0;
	left: 50%;
	height: 100%;
	width: 50%;
	z-index: 98;
	transition: all 1s ease;
	transform-origin: left;
	transform-style: preserve-3d;
}
.container #flip:checked ~ .cover {
	transform: rotateY(-180deg);
}
.container .cover .front,
.container .cover .back {
	position: absolute;
	top: 0;
	background-color: #d7e2f0;
	left: 0;
	height: 100%;
	width: 100%;
	border-radius: 20px;
}
.cover .back {
	transform: rotateY(180deg);
	backface-visibility: hidden;
	z-index: 10;
}
.container #flip:checked ~ .cover .front {
	z-index: 9;
}
.container .cover::before,
.container .cover::after {
	content: "";
	position: absolute;
	height: 100%;
	width: 100%;
	background: var(--body-color);
	opacity: 0;
	z-index: 12;
}
.container .cover::after {
	opacity: 0;
	transform: rotateY(180deg);
	backface-visibility: hidden;
}
.container .cover img {
	position: absolute;
	height: 100%;
	width: 100%;
	object-fit: cover;
	z-index: 10;
}
.container .cover .text {
	position: absolute;
	z-index: 130;
	height: 100%;
	width: 100%;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
}
.cover .text .text-1,
.cover .text .text-2 {
	font-size: 26px;
	font-weight: 600;
	color: #fff;
	text-align: center;
}
.cover .text .text-2 {
	font-size: 15px;
	font-weight: 500;
}
.container .forms {
	height: 100%;
	width: 100%;
	background: #fff;
}
.container .form-content {
	display: flex;
	align-items: center;
	justify-content: space-between;
}
.form-content .login-form,
.form-content .signup-form {
	width: calc(100% / 2 - 25px);
}
.forms .form-content .title {
	position: relative;
	font-size: 28px;
	font-weight: 800;
	color: var(--text-color);
	width: fit-content;
}
.forms .form-content .title:before {
	content: "";
	position: absolute;
	right: 0;
	bottom: 0px;
	height: 2px;
	width: 100%;
	background: var(--primary-color);
}
.forms .form-content .input-boxes {
	margin-top: 30px;
}
.forms .form-content .input-box {
	display: flex;
	align-items: center;
	height: 50px;
	width: 100%;
	margin: 10px 0;
	position: relative;
}
.form-content .input-box input {
	height: 100%;
	width: 100%;
	outline: none;
	border: none;
	padding: 0 30px;
	font-size: 16px;
	font-weight: 500;
	border-bottom: 2px solid rgba(0, 0, 0, 0.2);
	transition: all 0.3s ease;
}
.form-content .input-box input:focus,
.form-content .input-box input:valid {
	border-color: var(--text-color);
}

.form-content .input-box i {
	position: absolute;
	color: var(--text-color);
	font-size: 17px;
}
.forms .form-content .text {
	font-size: 14px;
	font-weight: 500;
	color: var(--text-color);
}
.forms .form-content .text a {
	text-decoration: none;
	color: var(--primary-color);
}
.forms .form-content .text a:hover {
	text-decoration: underline;
}
.forms .form-content .button {
	color: #fff;
	margin-top: 40px;
}
.forms .form-content .button input {
	color: #fff;
	background: var(--primary-color);
	border-radius: 6px;
	padding: 0;
	cursor: pointer;
	transition: all 0.4s ease;
	letter-spacing: 0.3px;
	font-weight: 800;
	border-bottom: none;
}
.forms .form-content .button input:hover {
	background: var(--primary-color);
	border-color: var(--primary-color);
}
.forms .form-content label {
	color: var(--primary-color);
	cursor: pointer;
}
.forms .form-content label:hover {
	text-decoration: underline;
}
.forms .form-content .login-text,
.forms .form-content .sign-up-text {
	text-align: center;
	margin-top: 25px;
}
.container #flip {
	display: none;
}
@media (max-width: 730px) {
	body{
		padding: 30px 16px;
	}
	.logo {
		position: absolute;
	}
	.forms .form-content .title{
		margin:auto;
	}
	.container .cover {
		display: none;
	}
	.form-content .login-form,
	.form-content .signup-form {
		width: 100%;
	}
	.form-content .login-form {
		display: none;
	}
	.container #flip:checked ~ .forms .signup-form {
		display: none;
	}
	.container #flip:checked ~ .forms .login-form {
		display: block;
	}
}
